## org.codehaus.groovy.tools.shell
Class BufferManager

Manages the shells buffers.

version:
  $Id: BufferManager.groovy 7581 2007-08-23 01:47:47Z user57 $

author:
  Jason Dillon

Field Summary
`List` | `buffers`
`Logger` | `log`
`int` | `selected`

Constructor Summary
`BufferManager()`

Method Summary
`void` | `clearSelected()`
`int` | `create(boolean select)`
`List` | `current()`
`void` | `delete(int index)`
`void` | `deleteSelected()`
`void` | `reset()`
`void` | `select(int index)`
`int` | `size()`
`void` | `updateSelected(List buffer)`

Constructor Detail

### BufferManager

    public BufferManager()

Method Detail

### clearSelected

    void clearSelected()

### create

    int create(boolean select)

### current

    List current()

### delete

    void delete(int index)

### deleteSelected

    void deleteSelected()

### reset

    void reset()

### select

    void select(int index)

### size

    int size()

### updateSelected

    void updateSelected(List buffer)